using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using BE;
using BL;
using Utilitaria;


public partial class Proc_ProcDiferCambio : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Usuario"] == null)
        {
            Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
        }
        
    }
    protected void btnDiferencia_Click(object sender, EventArgs e)
    {
        DateTime Fecha = Convert.ToDateTime(this.txtFecha.SelectedDate.ToString().Substring(0,10));
        Int32 EstablecimientoID = Convert.ToInt32(Session["EmpresaID"].ToString().Trim());
        String  PeriodoID = Session["txtPeriodo"].ToString().Trim();
        Int32 HotelID = Convert.ToInt32(Session["HotelID"].ToString().Trim());
        Int32 MonedaID = 1;

        BEDocumentos objet_Documentos = new BEDocumentos();
        BLDocumentos objlg_Documentos = new BLDocumentos();
         
        try
        {
            objlg_Documentos.fnAjusteDiferencias(Fecha, EstablecimientoID, PeriodoID, HotelID, MonedaID);
            showMessage("Proceso Generado con Exito");
        }
        catch (Exception ex)
        {
            showMessage(ex.ToString());
        }

        objet_Documentos = null;
        objlg_Documentos = null;
    }

    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);
    }



}
